/*----------------------------------------------------------------------- 
 * 
 * File Name: Inspiral.h
 *
 * Author: Brown, D. A.
 * 
 * Revision: $Id: Inspiral.h,v 1.14 2002/01/29 01:08:48 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#ifndef _INSPIRAL_H
#define _INSPIRAL_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif

#include <lal/LALStdlib.h>
#include <lal/Units.h>
#include <lal/LALInspiral.h>
#include <lal/LALInspiralBank.h>
#include <lal/DataBuffer.h>
#include <lal/FindChirp.h>
#include <lal/FindChirpSP.h>
#include <lal/FindChirpEngine.h>
#include "LALWrapperInterface.h"

#ifdef  __cplusplus
extern "C" {
#endif

#define PKG "Inspiral: "

NRCSID (INSPIRALH, PKG "$Id: Inspiral.h,v 1.14 2002/01/29 01:08:48 duncan Exp $");


typedef struct
tagInspiralSearchParams
{
  UINT4                         tmpltSource;
  UINT4                         searchMaster;
  UINT4                         inspiralDebugFlag;
  UINT4                         ovrlap;
  UINT4                         inputDataLength;
  UINT4                         simCount;
  UINT4                         seed;
  FindChirpInitParams           initParams;
  FindChirpMasterParams         masterParams;
  FindChirpSlaveParams          slaveParams;
  REAL4TimeSeries               chan;
  REAL4FrequencySeries          spec;
  COMPLEX8FrequencySeries       resp;
  DataSegmentVector            *dataSegVec;
  InspiralTemplate             *tmpltBankHead;
}
InspiralSearchParams;

#ifdef __cplusplus
}
#endif 

#endif /* _INSPIRAL_H */
