#!/bin/sh

prog=../../../test/happyAPI
args=../src/.libs/libldasslope.so
cmd="mpirun -v schema"

# create machines file
echo `hostname` >  lamhosts

if test ! -f schema
then
  echo "$prog $args" >  schema
  echo "$prog $args" >>  schema
  echo "$prog $args" >>  schema
fi


# run mpirun command and capture exit status
code=0
lamboot -v lamhosts
rm -f $$.status
( $cmd || echo "$?" > $$.status ) 2> Commissar.err | tee Commissar.out
if test -f $$.status
then
  code=`cat $$.status`
  rm -f $$.status
fi
wipe -v lamhosts
exit $code

# end of script... the rest is autodoc code

<lalVerbatim file="TrivialTestSV">
$Id: Slope.sh,v 1.1 2001/08/27 05:24:04 patrick Exp $
</lalVerbatim>

<lalLaTeX>

\subsection{Script \texttt{TrivialTest.sh}}
\label{ss:TrivialTest.sh}

Invokes the program \verb+happyAPI+ using \verb+mpirun+ with three processes
on the current machine (or the machines specified in the file \verb+machines+). 
The program \verb+happyAPI+ is instructed to dynamically load the
\verb+libtrivial.so+ shared object.  The script \verb+TrivialTest.sh+ returns
the exit code of \verb+happyAPI+.  The \verb+stderr+ output is redirected to
the file \verb+Commissar.err+ while the \verb+stdout+ output is output both
to standard output and to the file \verb+Commissar.out+.

\vfill{\footnotesize\input{TrivialTestSV}}

</lalLaTeX>
